# Uses of Class
org.eclipse.birt.chart.event.TransformationEvent

Packages that use TransformationEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.

## Uses of TransformationEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type TransformationEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`applyTransformation(TransformationEvent tev)`
`void`
IPrimitiveRenderer.`applyTransformation(TransformationEvent tev)`
This method is capable of applying a global transformation on the device specific graphics context Available transformation types are: SCALE, TRANSLATE, ROTATE